<? 
$DEFINITIONS = Zend_Registry::get('defines');
$item = $this->item; 
$alert_type = explode(',', $item['alert_type']);
$date = strtotime($item['date']);
$hour = date('H', strtotime($item['date']));
$minute = date('i', strtotime($item['date']));
?>

<div class="popup">
	<div class="head">
		<a href="#" class="close x"></a>
		<div class="ttitle title-add"><?= __('planner_edit_title') ?></div>
	</div>
	<div class="body" id="p<?= $item['id'] ?>">
		<div class="msg"></div>
		<div>
			<span class="t"><?= __('event_type') ?>:</span>
			<label for="t-a"><input type="radio" name="type" id="t-a" value="<?= PLANNER_TYPE_APPOINTMENT ?>" <? if ($item['type'] == PLANNER_TYPE_APPOINTMENT): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_APPOINTMENT] ?></label>
			<label for="t-h"><input type="radio" name="type" id="t-h" value="<?= PLANNER_TYPE_HOLIDAY ?>" <? if ($item['type'] == PLANNER_TYPE_HOLIDAY): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_HOLIDAY] ?></label>
			<label for="t-o"><input type="radio" name="type" id="t-o" value="<?= PLANNER_TYPE_OTHER ?>" <? if ($item['type'] == PLANNER_TYPE_OTHER): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_OTHER] ?></label>
		</div>
		<div class="sep"></div>
		<div>
			<div class="d"><?= __('date') ?>:</div>
			<input type="text" id="date" name="date" class="in-d" readonly="readonly" value="<?= $date ?>" />
			<a href="#" class="cal" onclick="return false;"></a>
			
			<div class="clear"></div>
		</div>
		<div class="mt10">
			<div class="d"><?= __('time') ?>:</div>
			<select name="hour" id="hour" class="sel-t">
				<? for ($i = 0; $i < 24; $i ++): ?>
					<? if ($i < 10) $i = '0' . $i; ?> 
					<option value="<?= $i ?>" <? if ($i == $hour): ?>selected="selected"<? endif; ?>><?= $i ?></option>
				<? endfor; ?>
			</select>
			<div class="s-t"><?= mb_substr(__('hour'), 0, 1) ?></div>
			<select name="minute" id="minute" class="sel-t">
				<? for ($i = 0; $i < 60; $i ++): ?>
					<? if ($i % 5 != 0) continue; ?>
					<? if ($i < 10) $i = '0' . $i; ?> 
					<option value="<?= $i ?>" <? if ($i == $minute): ?>selected="selected"<? endif; ?>><?= $i ?></option>
				<? endfor; ?>
			</select>
			<div class="s-t"><?= mb_substr(__('minute'), 0, 1) ?></div>
			
			<div class="clear"></div>
		</div>
		<div class="sep"></div>
		<div>
			<span class="t"><?= __('free_text') ?>:</span>
			<textarea name="free_text" id="free-text"><?= $item['text'] ?></textarea>
		</div>
		<div class="sep"></div>
		<div>
			<span class="t"><?= __('alert_me') ?>:</span>
			<label for="a-y"><input type="radio" name="alert" id="a-y" value="<?= PLANNER_ALERT_YES ?>" <? if ($item['alert'] == PLANNER_ALERT_YES): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_alerts'][PLANNER_ALERT_YES] ?></label>
			<label for="a-n"><input type="radio" name="alert" id="a-n" value="<?= PLANNER_ALERT_NO ?>" <? if ($item['alert'] == PLANNER_ALERT_NO): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_alerts'][PLANNER_ALERT_NO] ?></label>
		</div>
		<div class="mt10 none" id="alert-detals">
			<div class="fleft" id="chb">
				<label for="a-e" class="fs14"><input type="checkbox" name="alert_type" id="a-e" value="<?= PLANNER_ALERT_TYPE_EMAIL ?>" <? if (in_array(PLANNER_ALERT_TYPE_EMAIL, $alert_type)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_alert_types'][PLANNER_ALERT_TYPE_EMAIL] ?></label>
				<? if (!$this->user->isMember()): ?>
					<label for="a-s" class="fs14"><input type="checkbox" name="alert_type" id="a-s" value="<?= PLANNER_ALERT_TYPE_SMS ?>" <? if (in_array(PLANNER_ALERT_TYPE_SMS, $alert_type)): ?>checked="checked"<? endif; ?> /> <?= $DEFINITIONS['planner_alert_types'][PLANNER_ALERT_TYPE_SMS] ?></label>
				<? endif; ?>
			</div>
			<input type="text" name="alert_time" id="alert-time" class="in-t" value="<?= $item['alert_time'] ?>" />
			<select name="alert_time_unit" id="alert-time-unit" class="sel-at">
				<? foreach ($DEFINITIONS['planner_alert_time_unites'] as $k => $v): ?>
					<option value="<?= $k ?>" <? if ($item['alert_time_unit'] == $k): ?>selected="selected"<? endif; ?>><?= $v ?></option>
				<? endforeach; ?>
			</select>
			<div class="fleft d"><?= __('before_event') ?></div>
			
			<div class="clear"></div>
		</div>
		<div class="sep"></div>
		<div>
			<a href="#" class="but cancel x"><?= __('cancel') ?></a>
			<a href="#" class="but save"><?= __('save') ?></a>
			
			<div class="clear"></div>
		</div>
	</div>
</div>